const { DataTypes } = require('sequelize');
const bcrypt = require('bcryptjs');
const db = require('../config/db.config');
const Kiosks = db.define('Kiosks', {
    id: {
        type: DataTypes.INTEGER,
        allowNull: false,
        autoIncrement: true,
        primaryKey: true
    },
    kiosk_name: {
        type: DataTypes.STRING,
        allowNull: true
    },
    kiosk_alias: {
        type: DataTypes.STRING,
        allowNull: true
    },
    kiosk_status: {
        type: DataTypes.INTEGER,
        allowNull: true
    },


}, {
    tableName: 'kiosks',
    timestamps: true,
    createdAt: 'created_at',
    updatedAt: 'updated_at'
});



module.exports = Kiosks;